CreateIngestionConfigFlows
curl --request POST \
--url https://api.siftstack.com/api/v2/ingestion-configs/{ingestionConfigId}/flows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"flows": [
{
"name": "<string>",
"channels": [
{
"name": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"unit": "<string>",
"description": "<string>",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
]
}
]
}
]
}
'import requests
url = "https://api.siftstack.com/api/v2/ingestion-configs/{ingestionConfigId}/flows"
payload = { "flows": [
{
"name": "<string>",
"channels": [
{
"name": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"unit": "<string>",
"description": "<string>",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": True
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
]
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/ingestion-configs/{ingestionConfigId}/flows"
payload := strings.NewReader("{\n \"flows\": [\n {\n \"name\": \"<string>\",\n \"channels\": [\n {\n \"name\": \"<string>\",\n \"dataType\": \"CHANNEL_DATA_TYPE_UNSPECIFIED\",\n \"unit\": \"<string>\",\n \"description\": \"<string>\",\n \"enumTypes\": [\n {\n \"name\": \"<string>\",\n \"key\": 123,\n \"isSigned\": true\n }\n ],\n \"bitFieldElements\": [\n {\n \"name\": \"<string>\",\n \"index\": 123,\n \"bitCount\": 123\n }\n ]\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}IngestionConfigService
CreateIngestionConfigFlows
Create ingestion config flows.
POST
/
api
/
v2
/
ingestion-configs
/
{ingestionConfigId}
/
flows
CreateIngestionConfigFlows
curl --request POST \
--url https://api.siftstack.com/api/v2/ingestion-configs/{ingestionConfigId}/flows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"flows": [
{
"name": "<string>",
"channels": [
{
"name": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"unit": "<string>",
"description": "<string>",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
]
}
]
}
]
}
'import requests
url = "https://api.siftstack.com/api/v2/ingestion-configs/{ingestionConfigId}/flows"
payload = { "flows": [
{
"name": "<string>",
"channels": [
{
"name": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"unit": "<string>",
"description": "<string>",
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": True
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
]
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/ingestion-configs/{ingestionConfigId}/flows"
payload := strings.NewReader("{\n \"flows\": [\n {\n \"name\": \"<string>\",\n \"channels\": [\n {\n \"name\": \"<string>\",\n \"dataType\": \"CHANNEL_DATA_TYPE_UNSPECIFIED\",\n \"unit\": \"<string>\",\n \"description\": \"<string>\",\n \"enumTypes\": [\n {\n \"name\": \"<string>\",\n \"key\": 123,\n \"isSigned\": true\n }\n ],\n \"bitFieldElements\": [\n {\n \"name\": \"<string>\",\n \"index\": 123,\n \"bitCount\": 123\n }\n ]\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
The request for a call to IngestionConfigService_CreateIngestionConfigFlows to create ingestion config flows.
These flows must have unique names. If you try to send a flow with a name that already exists for an ingestion config, it will return an error.
Show child attributes
Show child attributes
Response
A successful response.
The result of a call to IngestionConfigService_CreateIngestionConfigFlows.
Was this page helpful?
⌘I